explain_accept_or_die(3)

NAME
explain_accept_or_die - accept a connection on a socket and report errors
    "accept a connection on a socket and report errors"

SYNOPSIS
#include <libexplain/accept.h>

int explain_accept_or_die(int fildes, struct sockaddr *sock_addr, socklen_t *sock_addr_size);

DESCRIPTION
The explain_accept_or_die function is used to call the accept(2) system call. On failure an explanation will be printed to stderr, obtained from explain_accept(3), and then the process terminates by calling exit(EXIT_FAILURE).

This function is intended to be used in a fashion similar to the following example:
    int fd = explain_accept_or_die(fildes, sock_addr, sock_addr_size);

fildes
    The fildes, exactly as to be passed to the accept(2) system call.

sock_addr
    The sock_addr, exactly as to be passed to the accept(2) system call.

sock_addr_size
    The sock_addr_size, exactly as to be passed to the accept(2) system call.

Returns:
    This function only returns on success, see accept(2) for more information. On failure, prints an explanation and exits.

SEE ALSO

accept(2)
    accept a connection on a socket

explain_accept(3)
    explain accept(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.2
Copyright (C) 2008 Peter Miller